Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90	(revision 257)
@@ -7,9 +7,12 @@
 !!
 !! @call sechiba_main
-!! @Version : $Revision: 1.85 $, $Date: 2010/07/29 15:58:19 $
+!! @Version : $Revision: 221 $, $Date: 2011-05-16 17:26:17 +0200 (Mon, 16 May 2011) $
 !!
 !! @author Marie-Alice Foujols and Jan Polcher
 !! 
-!! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_sechiba/intersurf.f90,v 1.85 2010/07/29 15:58:19 ssipsl Exp $
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_sechiba/intersurf.f90 $
+!< $Date: 2011-05-16 17:26:17 +0200 (Mon, 16 May 2011) $
+!< $Author: martial.mancip $
+!< $Revision: 221 $
 !! IPSL (2006)
 !!  This software is governed by the CeCILL licence see ORCHIDEE/ORCHIDEE_CeCILL.LIC
@@ -181,5 +184,4 @@
     !
     CALL ipslnlf(new_number=numout,old_number=old_fileout)
-
     !
     IF (l_first_intersurf) THEN
@@ -225,5 +227,5 @@
        IF ( ok_watchout ) THEN
           IF (is_root_prc) THEN
-             zlev_mean = 0.
+             zlev_mean = zero
              DO ik=1, nbp_glo
                 j = ((index_g(ik)-1)/iim_g) + 1
@@ -391,5 +393,5 @@
 !!$               dt_split_watch,dt_watch,one_day
 !!$          CALL solarang (julian_watch, julian0, iim, jjm, lon, lat, sinang)
-!!$          WHERE ( sinang(:,:) .LT. EPSILON(1.) ) 
+!!$          WHERE ( sinang(:,:) .LT. EPSILON(un) ) 
 !!$             isinang(:,:) = isinang(:,:) - 1
 !!$          ENDWHERE
@@ -529,18 +531,18 @@
           CALL histwrite (hist_id, 'riverflow',itau_sechiba, driver, kjpindex, kindex)
        ! 
-          CALL histwrite (hist_id, 'temp_sol', itau_sechiba, temp_sol_NEW, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'tsol_max', itau_sechiba, temp_sol_NEW, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'tsol_min', itau_sechiba, temp_sol_NEW, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'fluxsens', itau_sechiba, fluxsens, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'fluxlat',  itau_sechiba, fluxlat, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'swnet',    itau_sechiba, dswnet, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'swdown',   itau_sechiba, dswdown, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'alb_vis',  itau_sechiba, albedo(:,:,1), iim*jjm, kindex)
-          CALL histwrite (hist_id, 'alb_nir',  itau_sechiba, albedo(:,:,2), iim*jjm, kindex)
-          CALL histwrite (hist_id, 'tair',     itau_sechiba, temp_air, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'qair',     itau_sechiba, qair, iim*jjm, kindex)
+          CALL histwrite (hist_id, 'temp_sol', itau_sechiba, temp_sol_NEW, kjpindex, kindex)
+          CALL histwrite (hist_id, 'tsol_max', itau_sechiba, temp_sol_NEW, kjpindex, kindex)
+          CALL histwrite (hist_id, 'tsol_min', itau_sechiba, temp_sol_NEW, kjpindex, kindex)
+          CALL histwrite (hist_id, 'fluxsens', itau_sechiba, fluxsens, kjpindex, kindex)
+          CALL histwrite (hist_id, 'fluxlat',  itau_sechiba, fluxlat, kjpindex, kindex)
+          CALL histwrite (hist_id, 'swnet',    itau_sechiba, dswnet, kjpindex, kindex)
+          CALL histwrite (hist_id, 'swdown',   itau_sechiba, dswdown, kjpindex, kindex)
+          CALL histwrite (hist_id, 'alb_vis',  itau_sechiba, albedo(:,:,1), kjpindex, kindex)
+          CALL histwrite (hist_id, 'alb_nir',  itau_sechiba, albedo(:,:,2), kjpindex, kindex)
+          CALL histwrite (hist_id, 'tair',     itau_sechiba, temp_air, kjpindex, kindex)
+          CALL histwrite (hist_id, 'qair',     itau_sechiba, qair, kjpindex, kindex)
           ! Ajout Nathalie - Juin 2006 - on conserve q2m/t2m
-          CALL histwrite (hist_id, 'q2m',     itau_sechiba, qair, iim*jjm, kindex)
-          CALL histwrite (hist_id, 't2m',     itau_sechiba, temp_air, iim*jjm, kindex)
+          CALL histwrite (hist_id, 'q2m',     itau_sechiba, qair, kjpindex, kindex)
+          CALL histwrite (hist_id, 't2m',     itau_sechiba, temp_air, kjpindex, kindex)
           IF ( hist2_id > 0 ) THEN
              CALL histwrite (hist2_id, 'evap',     itau_sechiba, zvevapp, kjpindex, kindex)
@@ -548,32 +550,32 @@
              CALL histwrite (hist2_id, 'riverflow',itau_sechiba, driver, kjpindex, kindex)
              ! 
-             CALL histwrite (hist2_id, 'temp_sol', itau_sechiba, temp_sol_NEW, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'tsol_max', itau_sechiba, temp_sol_NEW, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'tsol_min', itau_sechiba, temp_sol_NEW, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'fluxsens', itau_sechiba, fluxsens, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'fluxlat',  itau_sechiba, fluxlat, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'swnet',    itau_sechiba, dswnet, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'swdown',   itau_sechiba, dswdown, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'alb_vis',  itau_sechiba, albedo(:,:,1), iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'alb_nir',  itau_sechiba, albedo(:,:,2), iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'tair',     itau_sechiba, temp_air, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'qair',     itau_sechiba, qair, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'q2m',     itau_sechiba, qair, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 't2m',     itau_sechiba, temp_air, iim*jjm, kindex)
+             CALL histwrite (hist2_id, 'temp_sol', itau_sechiba, temp_sol_NEW, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'tsol_max', itau_sechiba, temp_sol_NEW, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'tsol_min', itau_sechiba, temp_sol_NEW, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'fluxsens', itau_sechiba, fluxsens, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'fluxlat',  itau_sechiba, fluxlat, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'swnet',    itau_sechiba, dswnet, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'swdown',   itau_sechiba, dswdown, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'alb_vis',  itau_sechiba, albedo(:,:,1), kjpindex, kindex)
+             CALL histwrite (hist2_id, 'alb_nir',  itau_sechiba, albedo(:,:,2), kjpindex, kindex)
+             CALL histwrite (hist2_id, 'tair',     itau_sechiba, temp_air, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'qair',     itau_sechiba, qair, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'q2m',     itau_sechiba, qair, kjpindex, kindex)
+             CALL histwrite (hist2_id, 't2m',     itau_sechiba, temp_air, kjpindex, kindex)
           ENDIF
        ELSE
           CALL histwrite (hist_id, 'Evap', itau_sechiba, zvevapp, kjpindex, kindex)
-          CALL histwrite (hist_id, 'SWnet',    itau_sechiba, dswnet, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'Qh', itau_sechiba, fluxsens, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'Qle',  itau_sechiba, fluxlat, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'AvgSurfT', itau_sechiba, temp_sol_NEW, iim*jjm, kindex)
-          CALL histwrite (hist_id, 'RadT', itau_sechiba, temp_sol_NEW, iim*jjm, kindex)
+          CALL histwrite (hist_id, 'SWnet',    itau_sechiba, dswnet, kjpindex, kindex)
+          CALL histwrite (hist_id, 'Qh', itau_sechiba, fluxsens, kjpindex, kindex)
+          CALL histwrite (hist_id, 'Qle',  itau_sechiba, fluxlat, kjpindex, kindex)
+          CALL histwrite (hist_id, 'AvgSurfT', itau_sechiba, temp_sol_NEW, kjpindex, kindex)
+          CALL histwrite (hist_id, 'RadT', itau_sechiba, temp_sol_NEW, kjpindex, kindex)
           IF ( hist2_id > 0 ) THEN
              CALL histwrite (hist2_id, 'Evap', itau_sechiba, zvevapp, kjpindex, kindex)
-             CALL histwrite (hist2_id, 'SWnet',    itau_sechiba, dswnet, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'Qh', itau_sechiba, fluxsens, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'Qle',  itau_sechiba, fluxlat, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'AvgSurfT', itau_sechiba, temp_sol_NEW, iim*jjm, kindex)
-             CALL histwrite (hist2_id, 'RadT', itau_sechiba, temp_sol_NEW, iim*jjm, kindex)
+             CALL histwrite (hist2_id, 'SWnet',    itau_sechiba, dswnet, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'Qh', itau_sechiba, fluxsens, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'Qle',  itau_sechiba, fluxlat, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'AvgSurfT', itau_sechiba, temp_sol_NEW, kjpindex, kindex)
+             CALL histwrite (hist2_id, 'RadT', itau_sechiba, temp_sol_NEW, kjpindex, kindex)
           ENDIF
        ENDIF
@@ -780,5 +782,5 @@
        !
        IF ( ok_watchout ) THEN
-          zlev_mean = 0.
+          zlev_mean = zero
           DO ik=1, kjpindex
 
@@ -905,5 +907,5 @@
 !!$          julian_watch = date0_shifted+((itau_sechiba-0.5)/dt_split_watch)*dt_watch/one_day
 !!$          CALL solarang (julian_watch, julian0, iim, jjm, lon, lat, sinang)
-!!$          WHERE ( sinang(:,:) .LT. EPSILON(1.) ) 
+!!$          WHERE ( sinang(:,:) .LT. EPSILON(un) ) 
 !!$             isinang(:,:) = isinang(:,:) - 1
 !!$          ENDWHERE
@@ -1448,5 +1450,5 @@
        IF ( ok_watchout ) THEN
           IF (is_root_prc) THEN
-             zlev_mean = 0.
+             zlev_mean = zero
              DO ik=1, nbp_glo
                 j = ((index_g(ik)-1)/iim_g) + 1
@@ -1602,5 +1604,5 @@
 !!$          julian_watch = date0_shifted+((itau_sechiba-0.5)/dt_split_watch)*dt_watch/one_day
 !!$          CALL solarang (julian_watch, julian0, iim, jjm, tmp_lon, tmp_lat, sinang)
-!!$          WHERE ( sinang(:,:) .LT. EPSILON(1.) ) 
+!!$          WHERE ( sinang(:,:) .LT. EPSILON(un) ) 
 !!$             isinang(:,:) = isinang(:,:) - 1
 !!$          ENDWHERE
@@ -2178,5 +2180,5 @@
        IF ( ok_watchout ) THEN
           IF (is_root_prc) THEN
-             zlev_mean = 0.
+             zlev_mean = zero
              DO ik=1, nbp_glo
                 j = ((index_g(ik)-1)/iim_g) + 1
@@ -2332,5 +2334,5 @@
 !!$          julian_watch = date0_shifted+((itau_sechiba-0.5)/dt_split_watch)*dt_watch/one_day
 !!$          CALL solarang (julian_watch, julian0, iim, jjm, tmp_lon, tmp_lat, sinang)
-!!$          WHERE ( sinang(:,:) .LT. EPSILON(1.) )
+!!$          WHERE ( sinang(:,:) .LT. EPSILON(un) )
 !!$             isinang(:,:) = isinang(:,:) - 1
 !!$          ENDWHERE
@@ -2586,5 +2588,5 @@
        CALL tlen2itau('1Y',dt,date0,year_length)
        IF ( TRIM(calendar_str) .EQ. 'gregorian' ) THEN  
-          year_spread=1.0
+          year_spread=un
        ELSE
           year_spread = one_year/365.2425
@@ -2610,5 +2612,5 @@
        ! Real date
        CALL ju2ymds (in_julian, year, month, day, sec)
-!!$       jur=0.
+!!$       jur=zero
 !!$       julian_diff = in_julian
 !!$       month_len = ioget_mon_len (year,month)
@@ -2630,7 +2632,7 @@
        ENDIF
     ELSE 
-!!$       in_julian = itau2date(istp-1, 0., dt)
+!!$       in_julian = itau2date(istp-1, zero, dt)
 !!$       CALL ju2ymds (in_julian, year, month, day, sec)
-!!$       jur=0.
+!!$       jur=zero
 !!$       julian_diff = in_julian
 !!$       month_len = ioget_mon_len (year,month)
@@ -2693,5 +2695,4 @@
     CALL getin_p('NVM',nvm)
     WRITE(numout,*)'the number of pfts is : ', nvm
-!!$DS Debug 28/01/2011
     !
     !Config Key  = LONGPRINT
@@ -2723,5 +2724,5 @@
        !
        dt_watch = dt
-       CALL getin('DT_WATCHOUT',dt_watch)
+       CALL getin_p('DT_WATCHOUT',dt_watch)
        dt_split_watch = dt_watch / dt
        !
@@ -2740,9 +2741,7 @@
     ENDIF
 
-
 !!$    DS : reading of IMPOSE_PARAM
     ! Option : do you want to change the values of the parameters
     CALL getin_p('IMPOSE_PARAM',impose_param)
-    ! Calling pft_parameters
     CALL pft_parameters_main  
     !
@@ -2784,4 +2783,7 @@
     IF ( control_flags%hydrol_cwrr ) THEN
        CALL getin_hydrol_cwrr_parameters
+    ELSE
+       CALL getin_hydrolc_parameters
+       ! we read the parameters for the choisnel hydrology
     ENDIF
 
@@ -2800,12 +2802,4 @@
        CALL getin_co2_parameters
     ENDIF
-
-
-
-!!$    DS : reading of IMPOSE_PARAM
-!!$    ! Option : do you want to change the values of the parameters
-!!$    CALL getin_p('IMPOS_PARAM',impos_param)
-!!$    ! Calling pft_parameters
-!!$    CALL pft_main  
 
     !
@@ -2844,7 +2838,7 @@
        WRITE(numout,*) 'It is not possible because it has to be modified ', &
             ' to give correct values.'
-       CALL ipslerr (3,'intsurf_config', &
-         &          'Use of STOMATE_OK_DGVM not allowed with this version.',&
-         &          'ORCHIDEE will stop.', &
+       CALL ipslerr (2,'intsurf_config', &
+         &          'Use of STOMATE_OK_DGVM is not stable for this version.',&
+         &          'ORCHIDEE should not give correct results with this option activated.', &
          &          'Please disable DGVM to use this version of ORCHIDEE.')
     ENDIF
@@ -2965,5 +2959,5 @@
     CALL getin_p('SECHIBA_reset_time', overwrite_time)
     !
-    lev(:) = 0.
+    lev(:) = zero
     itau_dep = istp
     in_julian = itau2date(istp, date0, dt)
@@ -3186,5 +3180,5 @@
     !Config  Key  = WRITE_STEP
     !Config  Desc = Frequency in seconds at which to WRITE output
-    !Config  Def  = 86400.0
+    !Config  Def  = one_day
     !Config  Help = This variables gives the frequency the output of
     !Config         the model should be written into the netCDF file.
@@ -3198,8 +3192,4 @@
     !
     veg(1:nvm)   = (/ (REAL(i,r_std),i=1,nvm) /)
-!$$ DS DEBUG
-    WRITE(numout,*)'nvm : = ', nvm
-    WRITE(numout,*)'veg : =', veg
-!$$ nvm =13 (put the calling to getin before)
     sol(1:ngrnd) = (/ (REAL(i,r_std),i=1,ngrnd) /)   
     soltyp(1:nstm) = (/ (REAL(i,r_std),i=1,nstm) /)
@@ -3216,6 +3206,6 @@
     WRITE(flux_sc,'("ave(X*",F8.1,")")') one_day/dt
     !WRITE(flux_sc,'("(ave(X)*",F8.1,")")') one_day/dt
-    WRITE(flux_insec,'("ave(X*",F8.6,")")') 1.0/dt
-    WRITE(flux_scinsec,'("ave(scatter(X*",F8.6,"))")') 1.0/dt
+    WRITE(flux_insec,'("ave(X*",F8.6,")")') un/dt
+    WRITE(flux_scinsec,'("ave(scatter(X*",F8.6,"))")') un/dt
     WRITE(numout,*) flux_op, one_day/dt, dt, dw
     !-
@@ -3371,8 +3361,4 @@
                & iim,jjm, hori_id, 1,1,1, -99, 32, once(1), dt,dw)  
        ENDIF
-       IF ( control_flags%ok_stomate .OR. control_flags%stomate_watchout ) THEN
-          CALL histdef (hist_id,'CO2FLUX','Total output CO2 flux', 'gC/day/(m^2 tot)', &
-               & iim,jjm, hori_id, nvm, 1, nvm, vegax_id, 32, avescatter(1), dt, dw)
-       ENDIF
        !-
        !- SECHIBA_HISTLEVEL = 2
@@ -3692,9 +3678,4 @@
        CALL histdef(hist_id, 'nobiofrac', 'Fraction of other surface types', '1', &
             & iim,jjm, hori_id, nnobio, 1, nnobio, nobioax_id, 32, avescatter(3), dt,dw)
-       IF ( control_flags%ok_stomate .OR. control_flags%stomate_watchout ) THEN
-          ! Total output CO2 flux                             
-          CALL histdef (hist_id,'CO2FLUX','Total output CO2 flux', 'gC/day/(m^2 tot)', &
-               & iim,jjm, hori_id, nvm, 1, nvm, vegax_id, 32, avescatter(1), dt, dw)
-       ENDIF
      !- 
      !-  General energy balance
@@ -4033,8 +4014,4 @@
           CALL histdef(hist2_id, 'emis', 'Surface emissivity', '?', &
                & iim,jjm, hori_id2, 1,1,1, -99, 32, fluxop2(2), dt, dw2)
-          IF ( control_flags%ok_stomate .OR. control_flags%stomate_watchout ) THEN
-             CALL histdef (hist2_id,'CO2FLUX','Total output CO2 flux', 'gC/day/(m^2 tot)', &
-                  & iim,jjm, hori_id2, nvm, 1, nvm, vegax_id2, 32, avescatter2(2), dt, dw2)
-          ENDIF
           !-
           !- SECHIBA_HISTLEVEL2 = 3
@@ -4298,8 +4275,4 @@
           CALL histdef(hist2_id, 'nobiofrac', 'Fraction of other surface types', '1', &
                & iim,jjm, hori_id2, nnobio, 1, nnobio, nobioax_id2, 32, avescatter2(3), dt, dw2)
-          IF ( control_flags%ok_stomate .OR. control_flags%stomate_watchout ) THEN
-             CALL histdef (hist2_id,'CO2FLUX','Total output CO2 flux', 'gC/day/(m^2 tot)', &
-                  & iim,jjm, hori_id2, nvm, 1, nvm, vegax_id2, 32, avescatter2(1), dt, dw2)
-          ENDIF
           !- 
           !-  General energy balance
@@ -4465,6 +4438,6 @@
        hist_days_stom = 10.
        CALL getin_p('STOMATE_HIST_DT', hist_days_stom)       
-       IF ( hist_days_stom == -1. ) THEN
-          hist_dt_stom = -1.
+       IF ( hist_days_stom == moins_un ) THEN
+          hist_dt_stom = moins_un
           WRITE(numout,*) 'output frequency for STOMATE history file (d): one month.'
        ELSE
@@ -4477,5 +4450,5 @@
        dt_slow_ = one_day
        CALL getin_p('DT_SLOW', dt_slow_)
-       IF ( hist_days_stom /= -1. ) THEN
+       IF ( hist_days_stom /= moins_un ) THEN
           IF (dt_slow_ > hist_dt_stom) THEN
              WRITE(numout,*) "DT_SLOW = ",dt_slow_,"  , STOMATE_HIST_DT = ",hist_dt_stom
@@ -4567,8 +4540,8 @@
        !Config  Help = Time step of the STOMATE IPCC history file
        !-
-       hist_days_stom_ipcc = 0.
+       hist_days_stom_ipcc = zero
        CALL getin_p('STOMATE_IPCC_HIST_DT', hist_days_stom_ipcc)       
-       IF ( hist_days_stom_ipcc == -1. ) THEN
-          hist_dt_stom_ipcc = -1.
+       IF ( hist_days_stom_ipcc == moins_un ) THEN
+          hist_dt_stom_ipcc = moins_un
           WRITE(numout,*) 'output frequency for STOMATE IPCC history file (d): one month.'
        ELSE
@@ -4581,5 +4554,5 @@
        dt_slow_ = one_day
        CALL getin_p('DT_SLOW', dt_slow_)
-       IF ( hist_days_stom_ipcc > 0. ) THEN
+       IF ( hist_days_stom_ipcc > zero ) THEN
           IF (dt_slow_ > hist_dt_stom_ipcc) THEN
              WRITE(numout,*) "DT_SLOW = ",dt_slow_,"  , STOMATE_IPCC_HIST_DT = ",hist_dt_stom_ipcc
@@ -4822,16 +4795,16 @@
          &               1,1,1, -99,32, ave(5), dt, hist_dt)
 
-    ! Monthly CO2 flux                                  
-    CALL histdef (hist_id_stom, &
-         &               TRIM("CO2FLUX_MONTHLY     "), &
-         &               TRIM("Monthly CO2 flux                                  "), &
+    ! CO2 flux                                  
+    CALL histdef (hist_id_stom, &
+         &               TRIM("CO2FLUX             "), &
+         &               TRIM("CO2 flux                                          "), &
          &               TRIM("gC/m^2/pft/mth      "), iim,jjm, hist_hori_id, &
          &               nvm,1,nvm, hist_PFTaxis_id,32, ave(1), dt, hist_dt)
 
-    CALL histdef(hist_id_stom, &
-         &               TRIM("CO2FLUX_MONTHLY_SUM "), &
-         &               TRIM("Monthly CO2 flux                                  "), &
-         &               TRIM("PgC/m^2/mth          "), 1,1, hist_hori_id, &
-         &               1,1,1, -99, 32, ave(1), dt, hist_dt)
+!!$    CALL histdef(hist_id_stom, &
+!!$         &               TRIM("CO2FLUX_MONTHLY_SUM "), &
+!!$         &               TRIM("Monthly CO2 flux Sum                              "), &
+!!$         &               TRIM("PgC/m^2/mth         "), iim,jjm, hist_hori_id, &
+!!$         &               1,1,1, -99, 32, 'inst(scatter(X))', dt, hist_dt)
 
     ! Output CO2 flux from fire                         
@@ -5121,4 +5094,18 @@
          &               TRIM("1/day               "), iim,jjm, hist_hori_id, &
          &               nvm,1,nvm, hist_PFTaxis_id,32, ave(6), dt, hist_dt)
+
+    ! Establish tree
+    CALL histdef (hist_id_stom, &
+         &               TRIM("ESTABTREE           "), &
+         &               TRIM("Rate of tree establishement                       "), &
+         &               TRIM("1/day               "), iim,jjm, hist_hori_id, &
+         &               1,1,1, -99,32, ave(6), dt, hist_dt)
+
+    ! Establish grass
+    CALL histdef (hist_id_stom, &
+         &               TRIM("ESTABGRASS          "), &
+         &               TRIM("Rate of grass establishement                      "), &
+         &               TRIM("1/day               "), iim,jjm, hist_hori_id, &
+         &               1,1,1, -99,32, ave(6), dt, hist_dt)
 
     ! Fraction of plants that dies (light competition)  
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/sechiba.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/sechiba.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/sechiba.f90	(revision 257)
@@ -4,7 +4,10 @@
 !!
 !! @author Marie-Alice Foujols and Jan Polcher
-!! @Version : $Revision: 1.46 $, $Date: 2010/05/07 08:28:13 $
+!! @Version : $Revision: 45 $, $Date: 2011-01-01 21:30:44 +0100 (Sat, 01 Jan 2011) $
 !! 
-!! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_sechiba/sechiba.f90,v 1.46 2010/05/07 08:28:13 ssipsl Exp $
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_sechiba/sechiba.f90 $
+!< $Date: 2011-01-01 21:30:44 +0100 (Sat, 01 Jan 2011) $
+!< $Author: mmaipsl $
+!< $Revision: 45 $
 !! IPSL (2006)
 !!  This software is governed by the CeCILL licence see ORCHIDEE/ORCHIDEE_CeCILL.LIC
@@ -239,5 +242,5 @@
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)           :: tsol_rad         !! Radiative surface temperature
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)           :: vevapp           !! Total of evaporation
-    REAL(r_std),DIMENSION (kjpindex), INTENT (out)           :: temp_sol_new     !! New soil temperature
+    REAL(r_std),DIMENSION (kjpindex), INTENT (inout)           :: temp_sol_new     !! New soil temperature
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)           :: qsurf_out        !! Surface specific humidity
     REAL(r_std),DIMENSION (kjpindex), INTENT (out)           :: z0_out           !! Surface roughness (output diagnostic)
@@ -256,7 +259,4 @@
     REAL(r_std), DIMENSION(kjpindex) :: sum_treefrac, sum_grassfrac, sum_cropfrac
     INTEGER(i_std) :: jv
-
-
-
 
     IF (long_print) WRITE(numout,*) ' kjpindex =',kjpindex
@@ -636,23 +636,12 @@
        ENDIF
 
-       histvar(:)=SUM(vevapwet(:,:),dim=2)/86400
+       histvar(:)=SUM(vevapwet(:,:),dim=2)/one_day
        CALL histwrite(hist_id, 'evspsblveg', kjit, histvar, kjpindex, index)
 
-       histvar(:)=(vevapnu(:)+vevapsno(:))/86400
+       histvar(:)=(vevapnu(:)+vevapsno(:))/one_day
        CALL histwrite(hist_id, 'evspsblsoi', kjit, histvar, kjpindex, index)
 
-       histvar(:)=SUM(transpir(:,:),dim=2)/86400
+       histvar(:)=SUM(transpir(:,:),dim=2)/one_day
        CALL histwrite(hist_id, 'tran', kjit, histvar, kjpindex, index)
-
-!------------------------------------
-
-!       histvar(:)=SUM(veget_max(:,2:9),dim=2)*100*contfrac(:)
-!       CALL histwrite(hist_id, 'treeFrac', kjit, histvar, kjpindex, index)
-
-!       histvar(:)=SUM(veget_max(:,10:11),dim=2)*100*contfrac(:)
-!       CALL histwrite(hist_id, 'grassFrac', kjit, histvar, kjpindex, index)
-
-!       histvar(:)=SUM(veget_max(:,12:13),dim=2)*100*contfrac(:)
-!       CALL histwrite(hist_id, 'cropFrac', kjit, histvar, kjpindex, index)
 
 !$$ 25/10/10 Modif DS & NViovy
@@ -666,5 +655,4 @@
        histvar(:)= sum_cropfrac(:)*100*contfrac(:)
        CALL histwrite(hist_id, 'cropFrac', kjit, histvar, kjpindex, index)
-
 
        histvar(:)=veget_max(:,1)*100*contfrac(:)
@@ -1347,5 +1335,4 @@
     ENDDO
 
-
     !
     ! 2. restart value
@@ -1372,4 +1359,6 @@
     !
 
+    control%river_routing = control_in%river_routing
+    control%hydrol_cwrr = control_in%hydrol_cwrr
     control%ok_co2 = control_in%ok_co2
     control%ok_sechiba = control_in%ok_sechiba
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/sechiba_io.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/sechiba_io.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/sechiba_io.f90	(revision 257)
@@ -10,7 +10,10 @@
 !!
 !! @author Marie-Alice Foujols and Jan Polcher
-!! @Version : $Revision: 1.8 $, $Date: 2008/03/21 13:56:12 $
+!! @Version : $Revision: 12 $, $Date: 2010-11-05 16:42:13 +0100 (Fri, 05 Nov 2010) $
 !! 
-!! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_sechiba/sechiba_io.f90,v 1.8 2008/03/21 13:56:12 ssipsl Exp $
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_sechiba/sechiba_io.f90 $
+!< $Date: 2010-11-05 16:42:13 +0100 (Fri, 05 Nov 2010) $
+!< $Author: mmaipsl $
+!< $Revision: 12 $
 !! IPSL (2006)
 !!  This software is governed by the CeCILL licence see ORCHIDEE/ORCHIDEE_CeCILL.LIC
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/sechiba_io_p.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/sechiba_io_p.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/sechiba_io_p.f90	(revision 257)
@@ -10,7 +10,10 @@
 !!
 !! @author Marie-Alice Foujols and Jan Polcher
-!! @Version : $Revision: 1.4 $, $Date: 2008/03/21 13:56:12 $
+!! @Version : $Revision: 12 $, $Date: 2010-11-05 16:42:13 +0100 (Fri, 05 Nov 2010) $
 !! 
-!! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_sechiba/sechiba_io_p.f90,v 1.4 2008/03/21 13:56:12 ssipsl Exp $
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_sechiba/sechiba_io_p.f90 $
+!< $Date: 2010-11-05 16:42:13 +0100 (Fri, 05 Nov 2010) $
+!< $Author: mmaipsl $
+!< $Revision: 12 $
 !! IPSL (2006)
 !!  This software is governed by the CeCILL licence see ORCHIDEE/ORCHIDEE_CeCILL.LIC
